Signed-off-by: Zurab Kvachadze <zurabid2...@gmail.com>
---
 www-nginx/ngx-brotli/Manifest                 |  2 ++
 www-nginx/ngx-brotli/metadata.xml             | 24 +++++++++++++++
 .../ngx-brotli/ngx-brotli-20231109.ebuild     | 30 +++++++++++++++++++
 3 files changed, 56 insertions(+)
 create mode 100644 www-nginx/ngx-brotli/Manifest
 create mode 100644 www-nginx/ngx-brotli/metadata.xml
 create mode 100644 www-nginx/ngx-brotli/ngx-brotli-20231109.ebuild

diff --git a/www-nginx/ngx-brotli/Manifest b/www-nginx/ngx-brotli/Manifest
new file mode 100644
index 000000000000..9a3492068a39
--- /dev/null
+++ b/www-nginx/ngx-brotli/Manifest
@@ -0,0 +1,2 @@
+DIST brotli-ed738e842d2fbdf2d6459e39267a633c4a9b2f5d.tar.gz 512305 BLAKE2B 
b646e4565386870443d006a97a13b295c2c66de448e501f809700c303bb3daf5e4f84a2dacec16c43a534879243e4cda9292072630f13d5f7ca54f2c4372e560
 SHA512 
f493e7f15ca2804ae8715e48bdc954680f527533e684ec3762a7d49d05890915194289ed948c8cce95644274e1dcab952dcfbc84c0108aaf79f35f20270ffe6a
+DIST ngx-brotli-a71f9312c2deb28875acc7bacfdd5695a111aa53.tar.gz 16387 BLAKE2B 
2883711581ff5073f8e6451078c046f70323e1c893c3b70f8feb1abfc6ccb420ddb5f5d3b5131eb127538cf9b0cd0d9843d450cacd49b7fc7dfeb0a8c8865de8
 SHA512 
62a904f1a8e63e169cf09517189d65dd9ee1a6cca2a8461bc4ea29d72f97b940048e34f8dcc4a332785ab603be79f1830e371d920f06bdaa460d7e57915cafdc
diff --git a/www-nginx/ngx-brotli/metadata.xml 
b/www-nginx/ngx-brotli/metadata.xml
new file mode 100644
index 000000000000..258827550a02
--- /dev/null
+++ b/www-nginx/ngx-brotli/metadata.xml
@@ -0,0 +1,24 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person" proxied="yes">
+               <email>zurabid2...@gmail.com</email>
+               <name>Zurab Kvachadze</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription>
+               ngx-brotli provides support for Brotli compression in NGINX 
server. Brotli is a
+               generic-purpose lossless compression algorithm that compresses 
data using a
+               combination of a modern variant of the LZ77 algorithm, Huffman 
coding and 2nd order context
+               modeling, with a compression ratio comparable to the best 
currently available
+               general-purpose compression methods. It is similar in speed 
with deflate but offers more
+               dense compression.
+       </longdescription>
+       <upstream>
+               <bugs-to>https://github.com/google/ngx_brotli/issues</bugs-to>
+               <remote-id type="github">google/ngx_brotli</remote-id>
+       </upstream>
+</pkgmetadata>
diff --git a/www-nginx/ngx-brotli/ngx-brotli-20231109.ebuild 
b/www-nginx/ngx-brotli/ngx-brotli-20231109.ebuild
new file mode 100644
index 000000000000..61db19a9a98c
--- /dev/null
+++ b/www-nginx/ngx-brotli/ngx-brotli-20231109.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NGX_BROTLI_P="ngx-brotli-a71f9312c2deb28875acc7bacfdd5695a111aa53"
+# A submodule.
+BROTLI_P="brotli-ed738e842d2fbdf2d6459e39267a633c4a9b2f5d"
+
+MY_PN="${PN//-/_}"
+NGINX_MOD_S="${WORKDIR}/${MY_PN}-${NGX_BROTLI_P#ngx-brotli-}"
+inherit nginx-module
+
+DESCRIPTION="NGINX module for Brotli compression"
+HOMEPAGE="https://github.com/google/ngx_brotli";
+SRC_URI="
+       
https://github.com/google/ngx_brotli/archive/${NGX_BROTLI_P#ngx-brotli-}.tar.gz 
-> ${NGX_BROTLI_P}.tar.gz
+       https://github.com/google/brotli/archive/${BROTLI_P#brotli-}.tar.gz -> 
${BROTLI_P}.tar.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+
+src_unpack() {
+       nginx-module_src_unpack
+
+       # Move the submodule to its place.
+       rmdir "${NGINX_MOD_S}/deps/brotli" || die "rmdir failed"
+       mv "./${BROTLI_P}" "${NGINX_MOD_S}/deps/brotli" || die "mv failed"
+}
-- 
2.45.3


Reply via email to